Subject: bug#23549: parted needs to be afl-fuzzed (crash found on Debian, 3.2-15)

From: Jacek Wielemborek <[email-masked]>
Date: Mon, 16 May 2016 14:03:43 +0200

Hello,

The following base64-encoded device crashes parted 3.2 on "print all":

AAAAAAAHAAAAAAAA

Here's an archive of input files I started fuzzing with:

I used my afl-sid project [1] to generate the ASAN-augmented build and
the following command line to find a crash in 20 minutes:

afl-fuzz -d -i i2 -o o -m none -- parted -s @@ print all

I couldn't reproduce the crash on Fedora 23 (3.26-16).

Let me know if you need any more help fuzzing - I'll be happy to help.

Cheers,
d33tah

[1] https://github.com/d33tah/aflize